Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232135 - Satellite Certificate getting escaped causing Parsing errors
Summary: Satellite Certificate getting escaped causing Parsing errors
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: rhn500
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Partha Aji
QA Contact: wes hayutin
URL: https://fjs-0-12.rhndev.redhat.com/rh...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-13 22:25 UTC by Partha Aji
Modified: 2007-06-26 03:04 UTC (History)
2 users (show)

Fixed In Version: sat500
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-26 03:04:12 UTC


Attachments (Terms of Use)

Description Partha Aji 2007-03-13 22:25:15 UTC
Description of problem:
If you copy paste a satellite certificate into CertificateConfig you will always
end up getting Certificate Parse exception even for valid satellite  certificates...


Version-Release number of selected component (if applicable):
rhn500 satellite

How reproducible: Always


Steps to Reproduce:
1. Install a satellite 
2. Go to the admin url and Login as admin
3. Select Satellite Tools -> Satellite Configuration -> Certificate
4. Copy the contents of a cert from
http://svn.rhndev.redhat.com/viewcvs/trunk/pm/satellite-certs/satellite-5.0/
and paste it at the text area next to "Certificate Text: *"

Actual results:
Error ->"Could not parse certificate file" with the xml contents escaped, ie
"<xml version>" appears as "xml version" no <, >

Expected results:
Certificate Parsed successfully.


Additional info:

This is related to the fact that we scrub <,>, fields by default to prevent
cross site scripting.. In this case that won't be an issue because the sat cert
content has to be in a specific format for this to function..

Comment 1 Partha Aji 2007-04-20 19:49:38 UTC
This has been resolved for a while now..

Comment 2 wes hayutin 2007-04-23 17:02:19 UTC
Certificate uploaded. Satellite has been re-activated.
verified

Comment 3 Mike McCune 2007-06-18 22:15:48 UTC
works fine in stage.

Comment 4 Brandon Perkins 2007-06-26 03:04:12 UTC
Closed for Satellite 500 Release.


Note You need to log in before you can comment on or make changes to this bug.